Bug 1595451 - task id not included on automation.log when logging from methods
Summary: task id not included on automation.log when logging from methods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: drew uhlmann
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1592428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 22:29 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
8 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1592428
Environment:
Last Closed: 2018-09-04 18:00:46 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:39 UTC

Comment 3 CFME Bot 2018-07-11 14:23:19 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:

https://github.com/ManageIQ/manageiq-automation_engine/commit/e0fbbb0750556228d70ae90e21ad79d5a8aeede3
commit e0fbbb0750556228d70ae90e21ad79d5a8aeede3
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jun 20 07:37:02 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Jun 20 07:37:02 2018 -0400

    Merge pull request #190 from d-m-u/fixing_logging_with_task_id

    Adds tracking label back to AeMethod lines
    (cherry picked from commit 16e46d348cf43adf478f9ead5df12a74eab95c7a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1595451

 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 4 Dmitry Misharov 2018-07-19 07:32:04 UTC
Verified in 5.9.4.0.20180711215406_53ad123. Task ID is included in automation methods log lines.

Comment 6 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.